org.apache.ignite.internal.processors.cache.distributed

## Class GridFutureRemapTimeoutObject

- java.lang.Object
- - org.apache.ignite.internal.processors.timeout.GridTimeoutObjectAdapter
  - - org.apache.ignite.internal.processors.cache.distributed.GridFutureRemapTimeoutObject

All Implemented Interfaces:
  GridTimeoutObject

    public class GridFutureRemapTimeoutObject
    extends GridTimeoutObjectAdapter

Future remap timeout object.

### Constructor Summary

Constructors
Constructor and Description
`GridFutureRemapTimeoutObject(GridFutureAdapter<?> fut, long timeout, AffinityTopologyVersion topVer, IgniteCheckedException e)`

### Method Summary

Methods
`boolean` `finish()`
`void` `onTimeout()` Timeout callback.

### Methods inherited from class org.apache.ignite.internal.processors.timeout.GridTimeoutObjectAdapter

`endTime, timeoutId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridFutureRemapTimeoutObject

    public GridFutureRemapTimeoutObject(GridFutureAdapter<?> fut,
                                long timeout,
                                AffinityTopologyVersion topVer,
                                IgniteCheckedException e)

Parameters:
  `fut` - Future.
  `timeout` - Timeout.
  `topVer` - Topology version timeout was created on.
  `e` - Exception cause.

### Method Detail

#### onTimeout

    public void onTimeout()

Timeout callback.

#### finish

    public boolean finish()

Returns:
  Guard against concurrent completion.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015